

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>Showcase of 1D plotting functionalities &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="The Single Star Object" href="../../SingleStar/SingleStar.html" />
    <link rel="prev" title="Showcase of 2D plotting functionalities" href="../plot2D/plot2D.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Showcase of 1D plotting functionalities</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#how-to-plot-one-track">How to plot one track</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#plot-one-quantity-in-funtion-of-another-one">Plot one quantity in funtion of another one</a></li>
<li class="toctree-l3"><a class="reference internal" href="#plot-many-quantities-in-funtion-of-another-one">Plot many quantities in funtion of another one</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#how-to-plot-many-tracks">How to plot many tracks</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#plot-one-ore-more-quantities-in-funtion-of-another-one-for-multiple-tracks">Plot one ore more quantities in funtion of another one for multiple tracks</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#plot-an-extra-one-with-a-color-map">Plot an extra one with a color map</a></li>
<li class="toctree-l2"><a class="reference internal" href="#how-to-plot-an-hr">How to plot an HR</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>Showcase of 1D plotting functionalities</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../../_sources/PSyGrid/plot1D/plot1D.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="showcase-of-1d-plotting-functionalities">
<span id="plot1d"></span><h1>Showcase of 1D plotting functionalities<a class="headerlink" href="#showcase-of-1d-plotting-functionalities" title="Permalink to this headline">¶</a></h1>
<p>To showcase the plotting functionalities we load a grid in a PSyGrid object.
For our examples ee chose the track with index 42. With initial values:
m_BH = 35.90 M_sun, m_He-star = 35.90 M_sun, p = 4.15 days,  Z=0.0142.</p>
<div class="section" id="how-to-plot-one-track">
<h2>How to plot one track<a class="headerlink" href="#how-to-plot-one-track" title="Permalink to this headline">¶</a></h2>
<div class="section" id="plot-one-quantity-in-funtion-of-another-one">
<h3>Plot one quantity in funtion of another one<a class="headerlink" href="#plot-one-quantity-in-funtion-of-another-one" title="Permalink to this headline">¶</a></h3>
<p>The track can be read from varaibles in <cite>hitory1</cite> and <cite>binary_history</cite>.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_1r_h1.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">)</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="mi">42</span><span class="p">,</span> <span class="s1">&#39;star_age&#39;</span><span class="p">,</span> <span class="s1">&#39;center_he4&#39;</span><span class="p">,</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;history1&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_1r_h1.png" src="../../_images/plot1d_1r_h1.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_1r_bh.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">)</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="mi">42</span><span class="p">,</span> <span class="s1">&#39;age&#39;</span><span class="p">,</span> <span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;binary_history&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_1r_bh.png" src="../../_images/plot1d_1r_bh.png" />
</div>
<div class="section" id="plot-many-quantities-in-funtion-of-another-one">
<h3>Plot many quantities in funtion of another one<a class="headerlink" href="#plot-many-quantities-in-funtion-of-another-one" title="Permalink to this headline">¶</a></h3>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_1r2_h1.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">7</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">)</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="mi">42</span><span class="p">,</span> <span class="s1">&#39;star_age&#39;</span><span class="p">,</span> <span class="p">[</span><span class="s1">&#39;center_he4&#39;</span><span class="p">,</span> <span class="s1">&#39;log_LHe&#39;</span><span class="p">],</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;history1&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_1r2_h1.png" src="../../_images/plot1d_1r2_h1.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_1r3_bh.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">10</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">)</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="mi">42</span><span class="p">,</span> <span class="s1">&#39;age&#39;</span><span class="p">,</span> <span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;binary_separation&#39;</span><span class="p">,</span> <span class="s1">&#39;rl_relative_overflow_1&#39;</span><span class="p">],</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;binary_history&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_1r3_bh.png" src="../../_images/plot1d_1r3_bh.png" />
</div>
</div>
<div class="section" id="how-to-plot-many-tracks">
<h2>How to plot many tracks<a class="headerlink" href="#how-to-plot-many-tracks" title="Permalink to this headline">¶</a></h2>
<div class="section" id="plot-one-ore-more-quantities-in-funtion-of-another-one-for-multiple-tracks">
<h3>Plot one ore more quantities in funtion of another one for multiple tracks<a class="headerlink" href="#plot-one-ore-more-quantities-in-funtion-of-another-one-for-multiple-tracks" title="Permalink to this headline">¶</a></h3>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_3r1_h1.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">),</span>
    <span class="s1">&#39;legend1D&#39;</span> <span class="p">:</span> <span class="p">{</span>
            <span class="s1">&#39;loc&#39;</span> <span class="p">:</span> <span class="s1">&#39;lower left&#39;</span><span class="p">,</span>
            <span class="s1">&#39;lines_legend&#39;</span> <span class="p">:</span> <span class="p">[</span><span class="s1">&#39;42&#39;</span><span class="p">,</span><span class="s1">&#39;43&#39;</span><span class="p">,</span> <span class="s1">&#39;44&#39;</span><span class="p">],</span>
            <span class="p">}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="mi">42</span><span class="p">,</span><span class="mi">43</span><span class="p">,</span><span class="mi">44</span><span class="p">],</span> <span class="s1">&#39;star_age&#39;</span><span class="p">,</span> <span class="s1">&#39;center_he4&#39;</span><span class="p">,</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;history1&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_3r1_h1.png" src="../../_images/plot1d_3r1_h1.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_3r3_bh.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">10</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">),</span>
    <span class="s1">&#39;legend1D&#39;</span> <span class="p">:</span> <span class="p">{</span>
        <span class="s1">&#39;loc&#39;</span> <span class="p">:</span> <span class="s1">&#39;upper right&#39;</span><span class="p">,</span>
        <span class="s1">&#39;lines_legend&#39;</span> <span class="p">:</span> <span class="p">[</span><span class="s1">&#39;42&#39;</span><span class="p">,</span><span class="s1">&#39;43&#39;</span><span class="p">,</span> <span class="s1">&#39;44&#39;</span><span class="p">],</span>
        <span class="p">}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="mi">42</span><span class="p">,</span><span class="mi">43</span><span class="p">,</span><span class="mi">44</span><span class="p">],</span> <span class="s1">&#39;age&#39;</span><span class="p">,</span> <span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;binary_separation&#39;</span><span class="p">,</span> <span class="s1">&#39;rl_relative_overflow_1&#39;</span><span class="p">],</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;binary_history&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_3r3_bh.png" src="../../_images/plot1d_3r3_bh.png" />
</div>
</div>
<div class="section" id="plot-an-extra-one-with-a-color-map">
<h2>Plot an extra one with a color map<a class="headerlink" href="#plot-an-extra-one-with-a-color-map" title="Permalink to this headline">¶</a></h2>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_1r_z.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">),</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;hspace&#39;</span> <span class="p">:</span> <span class="mf">0.05</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(p/[days])$&#39;</span><span class="p">},</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="mi">42</span><span class="p">,</span> <span class="s1">&#39;age&#39;</span><span class="p">,</span> <span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;binary_history&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_1r_z.png" src="../../_images/plot1d_1r_z.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_2r_z.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_\mathrm</span><span class="si">{BH}</span><span class="s1"> = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$m_\mathrm{He-star} = </span><span class="si">%2.2f</span><span class="s1"> \, \mathrm</span><span class="si">{M}</span><span class="s1">_\odot$, &#39;</span>
               <span class="s1">&#39;$p = </span><span class="si">%2.2f</span><span class="s1">$ days, $Z=</span><span class="si">%2.2f</span><span class="s1">$&#39;</span><span class="o">%</span><span class="p">(</span><span class="n">m_he_star</span><span class="p">,</span><span class="n">m_BH</span><span class="p">,</span> <span class="n">p</span><span class="p">,</span> <span class="n">Z</span><span class="p">),</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;hspace&#39;</span> <span class="p">:</span> <span class="mf">0.05</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(p/[days])$&#39;</span><span class="p">},</span>
    <span class="s1">&#39;legend1D&#39;</span> <span class="p">:</span> <span class="p">{</span>
        <span class="s1">&#39;loc&#39;</span> <span class="p">:</span> <span class="s1">&#39;lower left&#39;</span><span class="p">,</span>
        <span class="s1">&#39;lines_legend&#39;</span> <span class="p">:</span> <span class="p">[</span><span class="s1">&#39;42&#39;</span><span class="p">,</span><span class="s1">&#39;43&#39;</span><span class="p">],</span>
        <span class="p">}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="mi">42</span><span class="p">,</span><span class="mi">43</span><span class="p">],</span> <span class="s1">&#39;age&#39;</span><span class="p">,</span> <span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;binary_history&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_2r_z.png" src="../../_images/plot1d_2r_z.png" />
</div>
<div class="section" id="how-to-plot-an-hr">
<h2>How to plot an HR<a class="headerlink" href="#how-to-plot-an-hr" title="Permalink to this headline">¶</a></h2>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_1r_HR.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">7</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;HR diagram&#39;</span><span class="p">,</span>
    <span class="s1">&#39;xlabel_kwargs&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;fontsize&#39;</span> <span class="p">:</span> <span class="mi">14</span><span class="p">},</span>
    <span class="s1">&#39;ylabel_kwargs&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;fontsize&#39;</span> <span class="p">:</span> <span class="mi">14</span><span class="p">},</span>
    <span class="s1">&#39;const_R_lines&#39;</span> <span class="p">:</span> <span class="kc">True</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">HR</span><span class="p">(</span><span class="mi">42</span><span class="p">,</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;history1&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_1r_HR.png" src="../../_images/plot1d_1r_HR.png" />
<p>How to incrase the window to an aritrary one and add many plots. Note that the
code can adjust the window by itself.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot1d_3r_HR.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">7</span><span class="p">,</span><span class="mi">7</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;HR diagram&#39;</span><span class="p">,</span>
    <span class="s1">&#39;xmin&#39;</span> <span class="p">:</span> <span class="mf">3.9</span><span class="p">,</span>
    <span class="s1">&#39;xmax&#39;</span> <span class="p">:</span> <span class="mf">5.</span><span class="p">,</span>
    <span class="s1">&#39;ymin&#39;</span> <span class="p">:</span> <span class="mf">4.2</span><span class="p">,</span>
    <span class="s1">&#39;ymax&#39;</span> <span class="p">:</span> <span class="mf">5.5</span><span class="p">,</span>
    <span class="s1">&#39;xlabel_kwargs&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;fontsize&#39;</span> <span class="p">:</span> <span class="mi">14</span><span class="p">},</span>
    <span class="s1">&#39;ylabel_kwargs&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;fontsize&#39;</span> <span class="p">:</span> <span class="mi">14</span><span class="p">},</span>
    <span class="s1">&#39;const_R_lines&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;legend1D&#39;</span> <span class="p">:</span> <span class="p">{</span>
        <span class="s1">&#39;loc&#39;</span> <span class="p">:</span> <span class="s1">&#39;lower left&#39;</span><span class="p">,</span>
        <span class="s1">&#39;lines_legend&#39;</span> <span class="p">:</span> <span class="p">[</span><span class="s1">&#39;42&#39;</span><span class="p">,</span><span class="s1">&#39;43&#39;</span><span class="p">,</span> <span class="s1">&#39;44&#39;</span><span class="p">],</span>
        <span class="p">}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">HR</span><span class="p">([</span><span class="mi">42</span><span class="p">,</span><span class="mi">43</span><span class="p">,</span> <span class="mi">44</span><span class="p">],</span> <span class="n">history</span><span class="o">=</span><span class="s1">&#39;history1&#39;</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot1d_3r_HR.png" src="../../_images/plot1d_3r_HR.png" />
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="../../SingleStar/SingleStar.html" class="btn btn-neutral float-right" title="The Single Star Object" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="../plot2D/plot2D.html" class="btn btn-neutral float-left" title="Showcase of 2D plotting functionalities" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>